package com.mygdx.game;

public class Hero {
	
	private double max_HP = 3000.00;
	private double HP = 3000.00;
	private double max_stamina = 400.00;
	private double stamina = 400.00;
	private boolean death = false;
	private boolean block = false;
	private int block_num = 0;	//same same block
	
	public boolean checkDeath(){
		if(HP <= 0)	death = true;
		return death;
	}
	
	public double getMaxStmina(){
		return max_stamina;
	}
	
	public double getMaxHp(){
		return max_HP;
	}
	
	public double getStmina(){
		return stamina;
	}
	
	public double getHP(){
		return HP;
	}
	
	public void increasemax_Hp(double value){
		max_HP += value;
	}
	
	public void decreasemax_Hp(double value){
		max_HP -= value;
	}
	
	public void decreaseHP(double damage){
		HP -= damage - (0.2 * damage * block_num);
		if(HP < 0)	HP = 0;
	}
	
	public void increaseHP(double heal){
		HP += heal;
		if(HP > max_HP)	HP = max_HP;
	}
	
	public void increasemax_stamina(double value){
		max_stamina += value;
	}
	
	public void decreasemax_stamina(double value){
		max_stamina -= value;
	}
	
	public void decreaseStamina(double stamina_used){
		stamina -= stamina_used;
		if(stamina < 0)	stamina = 0;
	}
	
	public void increaseStamina(double heal){
		stamina += heal;
		if(stamina > max_stamina)	stamina = max_stamina;
	}
	
	public double getDamage(double stamina_used){
		double damage = stamina_used;
		return damage;
	}
	
	public void block(){
		block = true;
		block_num = 1;
	}
	
	public void unBlock(){
		block = false;
		block_num = 0;
	}
	
	public boolean isBlock(){
		return block;
	}
	
	public int getBlock_num(){
		return block_num;
	}
}
